 /**************************************************************************
 *                                                                         *
 *                                 RasTop                                  *
 *                                                                         *
 *                 Molecular Graphics Visualisation Tool                   *
 *                                                                         *
 *                           by Philippe Valadon                           *
 *                 P.O. Box 8064, La Jolla, CA 92192-8064, USA,            *
 *                       www.geneinfinity.org/rastop                       *
 *                                                                         *
 *                                *******                                  *
 *                                                                         *
 *                   Based on RasMol 2.6 by Roger Sayle                    *
 * Biomolecular Structures Group, Glaxo Wellcome Research & Development,   *
 *                      Stevenage, Hertfordshire, UK                       *
 *         Version 2.6, August 1995, Version 2.6.4, December 1998          *
 *                   Copyright (C) Roger Sayle 1992-1999                   *
 *                                                                         *
 *                                 and                                     *
 *                                                                         *
 * Arne Mueller       RasMol 2.6x1   May 1998   (C) Arne Mueller 1998      *
 * Gary Grossman and  RasMol 2.5-ucb Nov 1995   (C) UC Regents/ModularCHEM *
 * Marco Molinaro     RasMol 2.6-ucb Nov 1996       Consortium 1995, 1996  *
 * Herbert J.         RasMol 2.7.0   Mar 1999   (C) Herbert J. Bernstein   * 
 * Bernstein          RasMol 2.7.1   Jun 1999       1998-2001              *
 *                    RasMol 2.7.1.1 Jan 2001                              *
 *                    RasMol 2.7.2   Aug 2000                              *
 *                    RasMol 2.7.2.1 Apr 2001                              *
 * Philippe Valadon   RasTop 2.0     Jan 2002   (C) Philippe Valadon       *
 *                                                  2000-2002              *
 *                                                                         *
 * Naoum Salam       RasTop 2.0.1-VF May 2002  (C) Naoum Salam 2002      *
 *                                                                         *
 * Please read the file NOTICE for important notices which apply to this   *
 * package. If you are not going to make changes to Rasmol, you are not    *
 * only permitted to freely make copies and distribute them, you are       *
 * encouraged to do so, provided you do the following:                     *
 *   * 1. Either include the complete documentation, especially the file   *
 *     NOTICE, with what you distribute or provide a clear indication      *
 *     where people can get a copy of the documentation; and               *
 *   * 2. Please give credit where credit is due citing the version and    *
 *     original authors properly; and                                      *
 *   * 3. Please do not give anyone the impression that the original       *
 *     authors are providing a warranty of any kind.                       *
 *                                                                         *
 * If you would like to use major pieces of Rasmol in some other program,  *
 * make modifications to Rasmol, or in some other way make what a lawyer   *
 * would call a "derived work", you are not only permitted to do so, you   *
 * are encouraged to do so. In addition to the things we discussed above,  *
 * please do the following:                                                *
 *   * 4. Please explain in your documentation how what you did differs    *
 *     from this version of Rasmol; and                                    *
 *   * 5. Please make your modified source code available.                 *
 *                                                                         *
 * This version of Rasmol is not in the public domain, but it is given     *
 * freely to the community in the hopes of advancing science. If you make  *
 * changes, please make them in a responsible manner, and please offer us  *
 * the opportunity to include those changes in future versions of Rasmol.  *
 ***************************************************************************/

//////////////////////////////////////////////////////////////////////
// pannel.h
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PANNEL_H__INCLUDED_)

#define AFX_PANNEL_H__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define IDT_TIMER_0 WM_USER + 200
#define IDT_TIMER_1 IDT_TIMER_0 + 1

/////////////////////////////////////////////////////////////////////////////
// CPannelBar

class CPannelBar : public CDialogBar
{
	DECLARE_DYNAMIC(CPannelBar)
    public:
		CPannelBar();
		virtual ~CPannelBar();

    // Attributes
    public:
	    CFont m_FontPannel;
	    CFont m_FontBuddy;

		void ChangeStatusLight(int Status);
		void UpdatePannel();
		void UpdateScrollBars();
	    void KillTimerPannel();
	    void SetTimerPannel();
		void ResetSpinMode();
		void OnAddInfoline(CString& strText);
		virtual BOOL OnInitDialogBar();

    protected:
		BOOL m_InfoTimerStatus;
		CStatic infopointer;
		CBitmap infopointeroff;
		CBitmap infopointeron;
		CEdit m_Infoline;
		CScrollBar m_ScrollX;
		CScrollBar m_ScrollY;
		CScrollBar m_ScrollZ;
		CButton m_moderotate;
		CButton m_modetranslate;
		CButton m_reset;
		CButton m_modespin;
		CButton m_world;
        CButton m_depthcue;
		CButton m_butslab;
        CButton m_butdepth;
		BOOL m_spinStatus;
		CSliderCtrl m_Light;
		CSpinButtonCtrl m_Slab;
		CEdit m_BuddySlab;
		CSpinButtonCtrl m_Depth;
		CEdit m_BuddyDepth;
		CSpinButtonCtrl m_Specular;
		CEdit m_BuddySpec;
		CSpinButtonCtrl m_Shade;
		CEdit m_BuddyShade;
		UINT m_PannelTimerID_0;
		UINT m_PannelTimerID_1;
		double SpinX, SpinY, SpinZ;
		CBitmapButton m_CloseCommandView;
		CStatic m_RasmolStatus;
		CBitmap StatusLight;

		void AppendString(CString str);
		void RefreshView();
		void DisplaySlabBuddy();
		void DisplayDepthBuddy();

	// Operations
	public:
	//{{AFX_VIRTUAL(CPannelBar)
	//}}AFX_VIRTUAL

	BOOL Create(CWnd * pParentWnd, UINT nIDTemplate, UINT nStyle, UINT nID);

	protected:
	//{{AFX_MSG(CPannelBar)
	afx_msg void OnHScroll( UINT nSBCode, UINT nPos, CScrollBar* pScrollBar );
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRotateButton();
	afx_msg void OnTranszoomButton();
	afx_msg void OnSpinButton();
	afx_msg void OnResetButton();
	afx_msg void OnDepthCueButton();
	afx_msg void OnSlabButton();
	afx_msg void OnDepthButton();
	afx_msg void OnCloseButton();
	afx_msg void OnWorldButton();
	afx_msg void OnUpdateCloseButton(CCmdUI *pCmdUI);
	afx_msg void OnUpdateLightSlid(CCmdUI *pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif // !defined(AFX_PANNEL_H__INCLUDED_)

